# $Revision: 1.10 $, $Date: 2009/03/12 12:07:50 $
%define		plugin		lightbox
Summary:	DokuWiki Light Box v2 plugin
Summary(pl.UTF-8):	Wtyczka lightboxv2 dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	20090312
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://glen.alkohol.ee/pld/lightbox-%{version}.tar.bz2
# Source0-md5:	7c9c54566b14175b9626e7a6f8ba5ee5
URL:		http://wiki.splitbrain.org/plugin:lightboxv2
Requires:	dokuwiki >= 20061106
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}

%description
Plugin to integrate LightBox v2 javascript animation in DokuWiki.

%prep
%setup -q -n %{plugin}
version=$(cat VERSION)
if [ $(echo "$version" | tr -d -) != %{version} ]; then
	: %%{version} mismatch, should be: $(echo "$version" | tr -d -)
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
rm -f $RPM_BUILD_ROOT%{plugindir}/{AUTHORS,VERSION}

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS
%dir %{plugindir}
%{plugindir}/*.css
%{plugindir}/*.js
%{plugindir}/images

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dokuwiki-plugin-lightbox.spec,v $
Revision 1.10  2009/03/12 12:07:50  glen
- build using tarball, releng version on DEVEL branch

Revision 1.9  2009/03/12 02:42:12  glen
- some release engineering

Revision 1.8  2009/03/12 02:19:57  glen
- version by todays date

Revision 1.7  2009/03/12 02:19:15  glen
- patch original files

Revision 1.6  2009/03/12 02:06:44  glen
- enable konqueror patch

Revision 1.5  2009/03/12 01:53:33  glen
- compress the .js

Revision 1.4  2009/03/12 01:04:27  glen
- konqueror support
- scriptaculous.js (.js loader) not needed if scripts are already concat

Revision 1.3  2009/03/12 00:27:46  glen
- add blank.gif

Revision 1.2  2009/03/12 00:05:53  glen
- just collect diffs against original lightboxy 2.04 and resulting this tarball:
  http://laurent.beneytout.free.fr/lib/exe/fetch.php?media=projects:lightbox.zip
  using the instructions: http://laurent.beneytout.free.fr/doku.php?id=projects:lightbox

Revision 1.1  2009/03/11 22:56:00  glen
- new
